Bug 805440 - CVE-2012-1573 gnutls: TLS record handling issue [fedora-all]
CVE-2012-1573 gnutls: TLS record handling issue [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnutls (Show other bugs)
16
All Linux
high Severity high
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-1573
  Show dependency treegraph
 
Reported: 2012-03-21 06:09 EDT by Stefan Cornelius
Modified: 2012-04-11 12:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: gnutls-2.10.5-3.fc15
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-25 23:57:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Cornelius 2012-03-21 06:09:59 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=805432

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Tomas Mraz 2012-03-23 09:03:59 EDT
These are actually fixed in rawhide and F17 branches - 2.12.17 is fixed already.
Comment 2 Fedora Update System 2012-03-23 13:12:31 EDT
gnutls-2.12.14-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gnutls-2.12.14-2.fc16
Comment 3 Fedora Update System 2012-03-23 20:27:51 EDT
Package gnutls-2.12.14-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnutls-2.12.14-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4578/gnutls-2.12.14-2.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-03-25 23:57:35 EDT
gnutls-2.12.14-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-03-26 13:53:57 EDT
gnutls-2.12.14-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-04-10 04:04:05 EDT
gnutls-2.10.5-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/FEDORA-2012-4569/gnutls-2.10.5-3.fc15
Comment 7 Fedora Update System 2012-04-10 23:49:19 EDT
gnutls-2.10.5-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-04-11 12:59:57 EDT
gnutls-2.10.5-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.